Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Interface SystemEventListener

All Superinterfaces:
  java.util.EventListener, FacesListener

All Known Subinterfaces:
  ViewMapListener

All Known Implementing Classes:
  ExceptionHandler, ExceptionHandlerWrapper

    public interface SystemEventListener

extends FacesListener

By implementing this class, an object indicates that it is a listener for one or more kinds of `SystemEvent`s. The exact type of event that will cause the implementing class's `processEvent(javax.faces.event.SystemEvent)` method to be called is indicated by the `facesEventClass` argument passed when the listener is installed using `Application.subscribeToEvent(java.lang.Class, java.lang.Class, javax.faces.event.SystemEventListener)`.

Since:
  2.0

Method Summary
`boolean` | `isListenerForSource(java.lang.Object source)` This method must return `true` if and only if this listener instance is interested in receiving events from the instance referenced by the `source` parameter.
`void` | `processEvent(SystemEvent event)` When called, the listener can assume that any guarantees given in the javadoc for the specific `SystemEvent` subclass are true.

Method Detail

### processEvent

    void processEvent(SystemEvent event)
                      throws AbortProcessingException

  When called, the listener can assume that any guarantees given in the javadoc for the specific `SystemEvent` subclass are true.

  Parameters:
    `event` - the `SystemEvent` instance that is being processed.
  Throws:
    `AbortProcessingException` - if lifecycle processing should cease for this request.

### isListenerForSource

    boolean isListenerForSource(java.lang.Object source)

  This method must return `true` if and only if this listener instance is interested in receiving events from the instance referenced by the `source` parameter.

  Parameters:
    `source` - the source that is inquiring about the appropriateness of sending an event to this listener instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.